<script lang="ts">
import Vue from 'vue';
import { MrktoForm } from '../common/index.vue';

export default Vue.extend({
  name: 'StsMarketoForm',
  components: { MrktoForm },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
  methods: {
    parseToKebabCase(string: string) {
      if (!string) return '?';
      return string
        .toLowerCase()
        .replaceAll('?', '')
        .replace(/[&/\\#,+()$~%.'":*?<>{}\s]/g, '-');
    },
  },
});
</script>

<template>
  <section class="sts-marketo-form">
    <SlpContainer>
      <SlpRow>
        <SlpColumn :cols="6" class="slp-pr-md-64">
          <SlpTypography
            :id="parseToKebabCase(data.title)"
            class="slp-mb-24"
            tag="h2"
            variant="heading2-bold"
            >{{ data.title }}
          </SlpTypography>
          <SlpTypography class="slp-mb-24" tag="p" variant="heading5"
            >{{ data.description }}
          </SlpTypography>
        </SlpColumn>
        <SlpColumn
          :cols="6"
          class="sts-marketo-form__form-column"
          data-aos="fade-up"
          data-aos-duration="750"
        >
          <MrktoForm :data="data.form" />
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.sts-marketo-form {
  margin: $spacing-64 auto 0 auto;
  padding: $spacing-32 0;
  background: $color-surface-800;
  @media (min-width: $breakpoint-md) {
    margin: $spacing-96 auto 0 auto;
    padding: $spacing-96 0;
  }
  :deep .form_column {
    margin-bottom: 0;
    padding: 0 !important;

    .form_container {
      border-color: $color-surface-300;
      padding: $spacing-24;
    }

    .mktoForm_container {
      display: flex;
      flex-wrap: wrap;
    }
    .mktoFormRow {
      flex: 1 0 100%;
    }
    .mktoFormRow:nth-of-type(1),
    .mktoFormRow:nth-of-type(2) {
      width: 50%;
      flex: 1 0 50%;
    }
    .mktoFormRow:nth-of-type(1) {
      padding-right: 12px;
    }
    .mktoFormRow:nth-of-type(2) {
      padding-left: 12px;
    }
    .required_label {
      display: none;
    }
    .mktoLabel {
      text-transform: lowercase !important;
      font-size: 16px;
    }
    .mktoHtmlText {
      color: $color-surface-500;
    }
  }
}
</style>
